Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbColDesc

    java.lang.Object
      jet.connect.DbColDesc

    public class DbColDesc

extends java.lang.Object

A class that encapsulates all description information about a column in a result set.

Field Summary
`static int` | `ARRAY`
`int` | `bigDecimalLength`
`java.lang.String` | `colName`
`static int` | `CONSTANT`
`static int` | `CURRENCY`
`static int` | `ENCODE`
`static int` | `GLOBAL`
`static int` | `GROUPABLE`
`static int` | `GROUPLEVEL`
`static int` | `IGNORECASE`
`static int` | `NOTAUTOENCODE`
`int` | `nullable`
`static int` | `PARAMETER`
`int` | `precision`
`int` | `scale`
`int` | `sqlType`
`static int` | `USER_DEFINED` A user defined column, like formula.

Constructor Summary
`DbColDesc()` Constructs an uninitialized DbColDesc.
`DbColDesc(DbColDesc desc)` Constructs an initialized DbColDesc.
`DbColDesc(java.lang.String ColName, int SqlType, int Precision, int Scale, int Nullable)` Constructs an initialized DbColDesc.
`DbColDesc(java.lang.String ColName, int SqlType, int Precision, int Scale, int Nullable, boolean bCurrency)` Constructs an initialized DbColDesc.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object colDesc)`
`int` | `getColIndex()`
`java.lang.String` | `getColName()` Returns the name of a column.
`java.lang.String` | `getEncodingName()`
`int` | `getFlag()` Return column flag.
`int` | `getFromEncoding()`
`int` | `getNullable()` Returns information on whether a column result set can have null values.
`int` | `getPrecision()` Returns the precision (maximum length) of character or binary data, or the precision of decimal or numeric data, for a column in a result set.
`java.lang.String` | `getRealColName()`
`int` | `getScale()` Returns the scale of a column in a result set for decimal or numeric data.
`int` | `getSqlType()` Returns the SqlType.
`int` | `getToEncoding()`
`boolean` | `isArray()`
`boolean` | `isConstant()`
`boolean` | `isCurrency()`
`boolean` | `isEncode()`
`boolean` | `isGlobal()`
`boolean` | `isGroupable()`
`boolean` | `isGroupLevel()`
`boolean` | `isIgnoreCase()`
`boolean` | `isNotAutoEncode()`
`boolean` | `isParameter()`
`boolean` | `isReadOnly()`
`boolean` | `isUserDef()`
`void` | `setArray(boolean b)`
`void` | `setColIndex(int index)`
`void` | `setColName(java.lang.String name)` Set the name of the column.
`void` | `setConstant(boolean b)`
`void` | `setConvertEncoding(int fromEncoding, int toEncoding)`
`void` | `setCurrency(boolean bCurrency)`
`void` | `setEncode(boolean b)`
`void` | `setEncodingName(java.lang.String enc)`
`void` | `setFlag(int flag)` Set column flag.
`void` | `setGlobal(boolean b)`
`void` | `setGroupable(boolean g)`
`void` | `setGroupLevel(boolean b)`
`void` | `setIgnoreCase(boolean b)`
`void` | `setNotAutoEncode(boolean b)`
`void` | `setParameter(boolean b)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRealColName(java.lang.String realName)`
`void` | `setSqlType(int type)`
`void` | `setUserDef(boolean b)`
`java.lang.String` | `toString()`
`boolean` | `typeEquals(DbColDesc colDesc)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CURRENCY

    public static final int CURRENCY

See Also:
  Constant Field Values

### CONSTANT

    public static final int CONSTANT

See Also:
  Constant Field Values

### GROUPABLE

    public static final int GROUPABLE

See Also:
  Constant Field Values

### USER_DEFINED

    public static final int USER_DEFINED

  A user defined column, like formula.

  See Also:
    Constant Field Values

### PARAMETER

    public static final int PARAMETER

See Also:
  Constant Field Values

### GLOBAL

    public static final int GLOBAL

See Also:
  Constant Field Values

### IGNORECASE

    public static final int IGNORECASE

See Also:
  Constant Field Values

### NOTAUTOENCODE

    public static final int NOTAUTOENCODE

See Also:
  Constant Field Values

### ENCODE

    public static final int ENCODE

See Also:
  Constant Field Values

### GROUPLEVEL

    public static final int GROUPLEVEL

See Also:
  Constant Field Values

### ARRAY

    public static final int ARRAY

See Also:
  Constant Field Values

### colName

    public java.lang.String colName

### sqlType

    public int sqlType

### precision

    public int precision

### scale

    public int scale

### nullable

    public int nullable

### bigDecimalLength

    public int bigDecimalLength

Constructor Detail

### DbColDesc

    public DbColDesc()

  Constructs an uninitialized DbColDesc.

### DbColDesc

    public DbColDesc(java.lang.String ColName,
                     int SqlType,
                     int Precision,
                     int Scale,
                     int Nullable,
                     boolean bCurrency)

  Constructs an initialized DbColDesc.

### DbColDesc

    public DbColDesc(java.lang.String ColName,
                     int SqlType,
                     int Precision,
                     int Scale,
                     int Nullable)

  Constructs an initialized DbColDesc.

### DbColDesc

    public DbColDesc(DbColDesc desc)

  Constructs an initialized DbColDesc.

Method Detail

### setConvertEncoding

    public void setConvertEncoding(int fromEncoding,
                                   int toEncoding)

### getFlag

    public int getFlag()

  Return column flag.

### setFlag

    public void setFlag(int flag)

  Set column flag.

### setGroupable

    public final void setGroupable(boolean g)

### isGroupable

    public final boolean isGroupable()

### setConstant

    public void setConstant(boolean b)

### isConstant

    public boolean isConstant()

### setCurrency

    public void setCurrency(boolean bCurrency)

### isCurrency

    public boolean isCurrency()

### setUserDef

    public void setUserDef(boolean b)

### isUserDef

    public boolean isUserDef()

### setGlobal

    public void setGlobal(boolean b)

### isGlobal

    public boolean isGlobal()

### setParameter

    public void setParameter(boolean b)

### isParameter

    public boolean isParameter()

### setIgnoreCase

    public void setIgnoreCase(boolean b)

### isIgnoreCase

    public boolean isIgnoreCase()

### setNotAutoEncode

    public void setNotAutoEncode(boolean b)

### isNotAutoEncode

    public boolean isNotAutoEncode()

### setEncode

    public void setEncode(boolean b)

### isEncode

    public boolean isEncode()

### setGroupLevel

    public void setGroupLevel(boolean b)

### isGroupLevel

    public boolean isGroupLevel()

### setArray

    public void setArray(boolean b)

### isArray

    public boolean isArray()

### setEncodingName

    public void setEncodingName(java.lang.String enc)

### getEncodingName

    public java.lang.String getEncodingName()

### setColIndex

    public void setColIndex(int index)

### getColIndex

    public int getColIndex()

### getColName

    public java.lang.String getColName()

  Returns the name of a column.

  Returns:
    Name of a column in a result set. If the name cannot be determined, returns an empty string ("").

### setColName

    public void setColName(java.lang.String name)

  Set the name of the column.

### setRealColName

    public void setRealColName(java.lang.String realName)

### getRealColName

    public java.lang.String getRealColName()

### getSqlType

    public int getSqlType()

  Returns the SqlType.

  Returns:
    SqlType of a column in a result set. SqlType is one of the following:
    - Db.SQL_BIGINT
    - Db.SQL_BINARY
    - Db.SQL_BIT
    - Db.SQL_CHAR
    - Db.SQL_DATE
    - Db.SQL_DECIMAL
    - Db.SQL_FLOAT
    - Db.SQL_INTEGER
    - Db.SQL_LONGVARBINARY
    - Db.SQL_LONGVARCHAR
    - Db.SQL_NUMERIC
    - Db.SQL_REAL
    - Db.SQL_SMALLINT
    - Db.SQL_TIME
    - Db.SQL_TIMESTAMP
    - Db.SQL_TINYINT
    - Db.SQL_VARBINARY
    - Db.SQL_VARCHAR

    If SqlType cannot be determined, returns 0.

### setSqlType

    public void setSqlType(int type)

### getPrecision

    public int getPrecision()

  Returns the precision (maximum length) of character or binary data, or the precision of decimal or numeric data, for a column in a result set.

  Returns:
    Precision. If precision cannot be determined, returns 0.

  See Also:
    `DbBinary`, `DbChar`, `DbDecimal`, `jet.connect.DbNumeric`, `jet.connect.DbLongVarBinary`, `jet.connect.DbLongVarChar`, `jet.connect.DbVarBinary`, `jet.connect.DbVarChar`

### getScale

    public int getScale()

  Returns the scale of a column in a result set for decimal or numeric data.

  Returns:
    Scale. If precision cannot be determined, returns 0.

  See Also:
    `DbDecimal`, `jet.connect.DbNumeric`

### getNullable

    public int getNullable()

  Returns information on whether a column result set can have null values.

  Returns:
    One of the following values:
    - Db.SQL_NO_NULLS: column cannot contain null values
    - DB.SQL_NULLABLE: column can contain null values
    - Db.SQL_NULLABLE_UNKNOWN: cannot be determined whether column can contain null values

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### typeEquals

    public boolean typeEquals(DbColDesc colDesc)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object colDesc)

  Overrides:
    `equals` in class `java.lang.Object`

### isReadOnly

    public boolean isReadOnly()

  Returns:
    Returns the readOnly.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Parameters:
    `readOnly` - The readOnly to set.

### getToEncoding

    public int getToEncoding()

  Returns:
    ToEncoding in convert string encoding

### getFromEncoding

    public int getFromEncoding()

  Returns:
    fromEncoding in convert string encoding

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD